
From: Panagiotis Issaris <takis@lumumba.luc.ac.be>

Remember to release the PCI regions on an error path.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/net/wireless/prism54/islpci_hotplug.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN drivers/net/wireless/prism54/islpci_hotplug.c~prism54-not-releasing-region drivers/net/wireless/prism54/islpci_hotplug.c
--- 25/drivers/net/wireless/prism54/islpci_hotplug.c~prism54-not-releasing-region	Fri Feb 25 16:41:24 2005
+++ 25-akpm/drivers/net/wireless/prism54/islpci_hotplug.c	Fri Feb 25 16:41:24 2005
@@ -163,7 +163,7 @@ prism54_probe(struct pci_dev *pdev, cons
 	if (rvalue || !mem_addr) {
 		printk(KERN_ERR "%s: PCI device memory region not configured; fix your BIOS or CardBus bridge/drivers\n",
 		       DRV_NAME);
-		goto do_pci_disable_device;
+		goto do_pci_release_regions;
 	}
 
 	/* enable PCI bus-mastering */
_
